#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library

Summary:	General Window Manager interfacing for GNOME utilities
Summary(pl.UTF-8):	Interfejs General Window Manager dla narzędzi GNOME
Name:		libwnck
Version:	3.14.0
Release:	3
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libwnck/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	4538672e0d775fadedf10abeb8020047
URL:		https://developer.gnome.org/libwnck/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gobject-introspection-devel >= 0.6.14
BuildRequires:	gtk+3-devel >= 3.4.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	gtk-doc-automake >= 1.9
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRequires:	xz
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General Window Manager interfacing for GNOME utilities. This library
is a part of the GNOME 2 platform.

%description -l pl.UTF-8
Ogólny interfejs zarządcy okien dla narzędzi GNOME. Ta biblioteka jest
częścią platformy GNOME 2.

%package tools
Summary:	Small tools to manage windows
Summary(pl.UTF-8):	Małe narzędzia do zarządzania oknami
Group:		X11/Window Managers/Tools
Requires:	%{name} = %{version}-%{release}

%description tools
Small tools to manage windows.

%description tools -l pl.UTF-8
Małe narzędzia do zarządzania oknami.

%package devel
Summary:	Header files and documentation for libwnck
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla libwnck
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gtk+3-devel >= 3.4.0
Requires:	startup-notification-devel >= 0.8
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXres-devel

%description devel
Header, docs and development libraries for libwnck.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libwnck.

%package static
Summary:	Static libwnck libraries
Summary(pl.UTF-8):	Statyczne biblioteki libwnck
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libwnck libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libwnck.

%package apidocs
Summary:	libwnck API documentation
Summary(pl.UTF-8):	Dokumentacja API libwnck
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libwnck API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libwnck.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable_disable static_libs static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwnck-3.la

%find_lang %{name}-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libwnck-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwnck-3.so.0
%{_libdir}/girepository-1.0/Wnck-3.0.typelib

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wnck-urgency-monitor
%attr(755,root,root) %{_bindir}/wnckprop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwnck-3.so
%{_includedir}/libwnck-3.0
%{_pkgconfigdir}/libwnck-3.0.pc
%{_datadir}/gir-1.0/Wnck-3.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwnck-3.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libwnck-3.0
%endif
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwnck.git;a=log;h=auto/th/libwnck-3.14.0-3

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 7729aab
- noarch apidocs

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 07a4e5f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ce97a35
- updated gettext BR

* Sun Nov 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 7878ae3
- updated to 3.14.0

* Fri Sep 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> f491615
- updated to 3.4.9

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 00b42b2
- updated to 3.4.7

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9ea3681
- updated to 3.4.6

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> a78c6c0
- release 2 (by relup.sh)

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 0ad25e2
- updated to 3.4.5

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 06b8058
- updated to 3.4.4

* Wed Sep 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> c6db88c
- updated to 3.4.3

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> d7104cb
- updated to 3.4.2

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ea70646
- updated to 3.4.0

* Mon Oct 17 2011 Artur Frysiak <artur@frysiak.net> 86c0fed
- up to 3.2.1

* Mon Sep 26 2011 Łukasz Kieś <kiesiu@pld-linux.org> 1a73c5a
- merged with DEVEL

* Fri Sep 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 8abf27f
- pl for -tools
- more explicit -devel Rs

* Tue May 24 2011 Łukasz Kieś <kiesiu@pld-linux.org> 077814f
- updated Source0-md5

* Tue May 24 2011 Łukasz Kieś <kiesiu@pld-linux.org> 93ca6d3
- updated to 3.0.2
- sorted BRs

* Thu Apr 07 2011 Artur Frysiak <artur@frysiak.net> e177a94
- added tools subpackage

* Mon Apr 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 869f5d0
- updated to 3.0.0; merged changes from DEVEL

